INTERFACE
SUBROUTINE SC2RDG (YD_PGPBUF,KJUMP,KSTA,KEND,PGP,KFSTA,KFEND,KPROMA)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA
USE GRIDPOINT_BUFFERS_MIX , ONLY : GRIDPOINT_BUFFER
TYPE(GRIDPOINT_BUFFER),INTENT(IN) :: YD_PGPBUF
INTEGER(KIND=JPIM),INTENT(IN) :: KJUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(OUT) :: PGP(NPROMA,YD_PGPBUF%IFIELDS)
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KFSTA
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KFEND
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KPROMA
END SUBROUTINE SC2RDG
END INTERFACE
